Name:           ocaml-mad
Version:        0.4.4
Release:        %mkrel 17
Summary:        Bindings for the mad library
License:        GPLv2+
Group:          Development/OCaml
URL:            https://sourceforge.net/projects/savonet/files/
Source0:        https://downloads.sourceforge.net/savonet/ocaml-mad/ocaml-mad-%{version}.tar.gz

BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  pkgconfig(mad)


%description
Bindings for the mad library which provides functions for encoding
wave audio files into mp3.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       libmad-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
# Needed to learn about aarch64
./bootstrap
./configure
make
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/mad
make install


%files
%doc COPYING CHANGES README
%dir %{_libdir}/ocaml/mad
%{_libdir}/ocaml/mad/META
%{_libdir}/ocaml/mad/*.cma
%{_libdir}/ocaml/mad/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc/html
%{_libdir}/ocaml/mad/*.a
%{_libdir}/ocaml/mad/*.cmxa
%{_libdir}/ocaml/mad/*.cmx
%{_libdir}/ocaml/mad/*.mli





%changelog
* Sun Jan 10 2021 pterjan <pterjan> 0.4.4-17.mga8
+ Revision: 1670467
- Rebuild to generate ocamlx provides
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 28 2020 umeabot <umeabot> 0.4.4-16.mga8
+ Revision: 1551162
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.4.4-15.mga8
+ Revision: 1544525
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 tv <tv> 0.4.4-14.mga8
+ Revision: 1483155
- rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 0.4.4-13.mga7
+ Revision: 1324052
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 0.4.4-12.mga7
+ Revision: 1323767
- Rebuild for ocaml 4.07

* Sun Sep 23 2018 umeabot <umeabot> 0.4.4-11.mga7
+ Revision: 1299893
- Mageia 7 Mass Rebuild

* Sat Jun 16 2018 pterjan <pterjan> 0.4.4-10.mga7
+ Revision: 1237226
- Fix build on aarch64

* Sun Nov 26 2017 tv <tv> 0.4.4-9.mga7
+ Revision: 1179551
- rebuild for new ocaml

* Mon Sep 26 2016 pterjan <pterjan> 0.4.4-8.mga6
+ Revision: 1056421
- Rebuild for fix in ocaml

* Fri Feb 12 2016 umeabot <umeabot> 0.4.4-7.mga6
+ Revision: 956413
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.4-6.mga5
+ Revision: 748105
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.4-5.mga5
+ Revision: 683064
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.4-4.mga4
+ Revision: 508491
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.4.4-3.mga3
+ Revision: 361488
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.4.4-2.mga3
+ Revision: 301669
- new rpm group for ocaml

* Sun Nov 20 2011 malo <malo> 0.4.4-1.mga2
+ Revision: 170017
- imported package ocaml-mad

